<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetServersFormulas](./bitburner.hacknetserversformulas.md) &gt; [cacheUpgradeCost](./bitburner.hacknetserversformulas.cacheupgradecost.md)

## HacknetServersFormulas.cacheUpgradeCost() method

Calculate cost of upgrading hacknet server cache.

<b>Signature:</b>

```typescript
cacheUpgradeCost(startingCache: number, extraCache?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  startingCache | number | starting cache level |
|  extraCache | number | amount of levels of cache to purchase (defaults to 1) |

<b>Returns:</b>

number

The calculated cost.

